package com.ruoyi.bst.teamUser.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 拼桌用户对象 bst_team_user
 *
 * @author ruoyi
 * @date 2025-05-22
 */
@Data
public class TeamUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "拼桌ID")
    @ApiModelProperty("拼桌ID")
    private Long teamId;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "邀请人ID")
    @ApiModelProperty("邀请人ID")
    private Long inviterId;

    @Excel(name = "用户角色 1-发起人 2-普通成员")
    @ApiModelProperty("用户角色 1-发起人 2-普通成员")
    private String role;

    @Excel(name = "加入方式 1-创建队伍 2-主动加入3-受邀加入")
    @ApiModelProperty("加入方式 1-创建队伍 2-主动加入3-受邀加入")
    private String joinType;

    @Excel(name = "状态 1-已加入 2-已退出")
    @ApiModelProperty("状态 1-已加入 2-已退出")
    private String status;

}
